import request from '@/utils/request'

// 查询LinePreScript列表
export function listLinePreScript(query) {
    return request({
        url: '/api/v1/line-pre-script',
        method: 'get',
        params: query
    })
}

// 查询LinePreScript详细
export function getLinePreScript (id) {
    return request({
        url: '/api/v1/line-pre-script/' + id,
        method: 'get'
    })
}


// 新增LinePreScript
export function addLinePreScript(data) {
    return request({
        url: '/api/v1/line-pre-script',
        method: 'post',
        data: data
    })
}

// 修改LinePreScript
export function updateLinePreScript(data) {
    return request({
        url: '/api/v1/line-pre-script/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除LinePreScript
export function delLinePreScript(data) {
    return request({
        url: '/api/v1/line-pre-script',
        method: 'delete',
        data: data
    })
}

